Skip to main content
`Ctrl`+`K`

# VecSetInf

set infinity into the local part of the vector

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecSetInf(Vec xin)

Not Collective

## Input Parameters

- xin - the vector

## Note

Deprecated, see `VecFlag()` This is used for any subset of MPI processes to indicate an failure in a solver, after the next use of `VecNorm()` if `KSPCheckNorm()` detects an infinity and at least one of the MPI processes has a not converged reason then the `KSP` object collectively is labeled as not converged.

This cannot be called if `xin` has a cached norm available

## See Also

Vectors and Parallel Data, `VecFlag()`, `Vec`, `PetscLayout`, `VecGetLayout()`, `VecGetSize()`, `VecGetOwnershipRange()`, `VecGetOwnershipRanges()`

## Level

developer

## Location

src/vec/vec/interface/vector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages